<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'inventory',

    /*
     * Package.
     */
    'package'   => 'bank',

    /*
     * Modules.
     */
    'modules'   => ['bank'],

    
    'bank'       => [
        'model' => [
            'model'                 => \Inventory\Bank\Models\Bank::class,
            'table'                 => 'banks',
            'presenter'             => \Inventory\Bank\Repositories\Presenter\BankPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'currency_id',  'primary',  'account_name',  'account_code',  'account_no',  'bank_name',  'ifsc',  'description',  'slug',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'bank/bank',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Bank',
            'module'    => 'Bank',
        ],

    ],
];
