<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBanksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: banks
         */
        Schema::create('banks', function ($table) {
            $table->increments('id');
            $table->integer('currency_id')->nullable();
            $table->tinyInteger('primary')->nullable();
            $table->string('account_name', 100)->nullable();
            $table->string('account_code', 100)->nullable();
            $table->string('account_no', 100)->nullable();
            $table->string('bank_name', 250)->nullable();
            $table->string('ifsc', 100)->nullable();
            $table->text('description')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('banks');
    }
}
