<?php

namespace Inventory\Bank;

use DB;
use Illuminate\Database\Seeder;

class BankTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('banks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bank.bank.view',
                'name'      => 'View Bank',
            ],
            [
                'slug'      => 'bank.bank.create',
                'name'      => 'Create Bank',
            ],
            [
                'slug'      => 'bank.bank.edit',
                'name'      => 'Update Bank',
            ],
            [
                'slug'      => 'bank.bank.delete',
                'name'      => 'Delete Bank',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/bank/bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/bank/bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Bank',
                'module'    => 'Bank',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bank.bank.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
