Lavalite package that provides bank management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `inventory/bank`.

    "inventory/bank": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Inventory\Bank\Providers\BankServiceProvider::class,

And also add it to alias

    'Bank'  => Inventory\Bank\Facades\Bank::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Inventory\\BankTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Inventory\Bank\Providers\BankServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Inventory\Bank\Providers\BankServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Inventory\Bank\Providers\BankServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/bank/{modulename}

**User**

    http://path-to-route-folder/user/bank/{modulename}

**Public**

    http://path-to-route-folder/banks


### API endpoints

**List**

    http://path-to-route-folder/api/user/bank/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/bank/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/bank/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/bank/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/bank/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/bank/{modulename}/{slug}
    METHOD: GET