<?php

namespace Inventory\Bank;

use User;

class Bank
{
    /**
     * $bank object.
     */
    protected $bank;

    /**
     * Constructor.
     */
    public function __construct(\Inventory\Bank\Interfaces\BankRepositoryInterface $bank)
    {
        $this->bank = $bank;
    }

    /**
     * Returns count of bank.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bank.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bank->pushCriteria(new \Litepie\Inventory\Repositories\Criteria\BankUserCriteria());
        }

        $bank = $this->bank->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bank::' . $view, compact('bank'))->render();
    }
}
