<?php

namespace Inventory\Bank\Forms;

class Bank
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'currency_id' => [
                    "type" => 'numeric',
                    "label" => trans('bank::bank.label.currency_id'),
                    "placeholder" => trans('bank::bank.placeholder.currency_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'primary' => [
                    "type" => 'numeric',
                    "label" => trans('bank::bank.label.primary'),
                    "placeholder" => trans('bank::bank.placeholder.primary'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_name' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.account_name'),
                    "placeholder" => trans('bank::bank.placeholder.account_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_code' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.account_code'),
                    "placeholder" => trans('bank::bank.placeholder.account_code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_no' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.account_no'),
                    "placeholder" => trans('bank::bank.placeholder.account_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'bank_name' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.bank_name'),
                    "placeholder" => trans('bank::bank.placeholder.bank_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ifsc' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.ifsc'),
                    "placeholder" => trans('bank::bank.placeholder.ifsc'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('bank::bank.label.description'),
                    "placeholder" => trans('bank::bank.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
