<?php

namespace Inventory\Bank\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BankTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Bank\Models\Bank $bank)
    {
        return [
            'id'                => $bank->getRouteKey(),
            'key'               => [
                'public'    => $bank->getPublicKey(),
                'route'     => $bank->getRouteKey(),
            ], 
            'currency_id'       => $bank->currency_id,
            'primary'           => $bank->primary,
            'account_name'      => $bank->account_name,
            'account_code'      => $bank->account_code,
            'account_no'        => $bank->account_no,
            'bank_name'         => $bank->bank_name,
            'ifsc'              => $bank->ifsc,
            'description'       => $bank->description,
            'slug'              => $bank->slug,
            'user_id'           => $bank->user_id,
            'user_type'         => $bank->user_type,
            'deleted_at'        => $bank->deleted_at,
            'url'               => [
                'public'    => trans_url('bank/'.$bank->getPublicKey()),
                'user'      => guard_url('bank/bank/'.$bank->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bank->status),
            'created_at'        => format_date($bank->created_at),
            'updated_at'        => format_date($bank->updated_at),
        ];
    }
}